Bug 969514 - dmeventd fails to auto extend snapshot after some time
dmeventd fails to auto extend snapshot after some time
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2 (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: LVM and device-mapper development team
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 12:12 EDT by Bassu
Modified: 2013-10-09 19:53 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 19:53:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bassu 2013-05-31 12:12:04 EDT
Description of problem:
dmeventd fails to auto extend snapshot after 5th time

Version-Release number of selected component (if applicable):
lvm2-2.02.98-9.el6.x86_64
device-mapper-event-1.02.77-9.el6.x86_64

Actual results:
May 31 05:45:03 snotty lvm[6813]: Monitoring snapshot vgsnotty-snappain
May 31 05:53:34 snotty lvm[6813]: Extending logical volume snappain to 4.50 GiB
May 31 05:53:35 snotty lvm[6813]: Monitoring snapshot vgsnotty-snappain
May 31 05:53:35 snotty lvm[6813]: Logical volume snappain successfully resized
May 31 05:53:37 snotty lvm[6813]: No longer monitoring snapshot vgsnotty-snappain
May 31 05:59:05 snotty lvm[6813]: Extending logical volume snappain to 6.75 GiB
May 31 05:59:05 snotty lvm[6813]: Monitoring snapshot vgsnotty-snappain
May 31 05:59:05 snotty lvm[6813]: Logical volume snappain successfully resized
May 31 05:59:07 snotty lvm[6813]: No longer monitoring snapshot vgsnotty-snappain
May 31 06:08:15 snotty lvm[6813]: Extending logical volume snappain to 10.12 GiB
May 31 06:08:15 snotty lvm[6813]: Monitoring snapshot vgsnotty-snappain
May 31 06:08:15 snotty lvm[6813]: Logical volume snappain successfully resized
May 31 06:08:17 snotty lvm[6813]: No longer monitoring snapshot vgsnotty-snappain
May 31 06:22:25 snotty lvm[6813]: Extending logical volume snappain to 15.19 GiB
May 31 06:22:26 snotty lvm[6813]: Monitoring snapshot vgsnotty-snappain
May 31 06:22:27 snotty lvm[6813]: Logical volume snappain successfully resized
May 31 06:22:29 snotty lvm[6813]: No longer monitoring snapshot vgsnotty-snappain
May 31 07:08:36 snotty lvm[6813]: Extending logical volume snappain to 22.78 GiB
May 31 07:08:37 snotty lvm[6813]: Monitoring snapshot vgsnotty-snappain
May 31 07:08:40 snotty lvm[6813]: Logical volume snappain successfully resized
May 31 07:08:41 snotty lvm[6813]: No longer monitoring snapshot vgsnotty-snappain
May 31 08:45:26 snotty lvm[6813]: No longer monitoring snapshot vgsnotty-snappain
May 31 08:45:26 snotty lvm[6813]: Monitoring snapshot vgsnotty-snappain
May 31 08:56:56 snotty kernel: device-mapper: snapshots: Invalidating snapshot: Unable to allocate exception.
May 31 08:56:56 snotty kernel: quiet_error: 56 callbacks suppressed
May 31 08:56:56 snotty kernel: Buffer I/O error on device dm-25, logical block 102120053
May 31 08:56:56 snotty kernel: Buffer I/O error on device dm-25, logical block 102120054
May 31 08:56:56 snotty kernel: Buffer I/O error on device dm-25, logical block 102120055
May 31 08:56:56 snotty kernel: Buffer I/O error on device dm-25, logical block 102120056
May 31 08:56:56 snotty kernel: Buffer I/O error on device dm-25, logical block 102120057
May 31 08:56:56 snotty kernel: Buffer I/O error on device dm-25, logical block 102120058
May 31 08:56:56 snotty kernel: Buffer I/O error on device dm-25, logical block 102120059
May 31 08:56:56 snotty kernel: Buffer I/O error on device dm-25, logical block 102120060
May 31 08:56:56 snotty kernel: Buffer I/O error on device dm-25, logical block 102120061
May 31 08:56:56 snotty kernel: Buffer I/O error on device dm-25, logical block 102120062
May 31 09:00:48 snotty lvm[6813]: No longer monitoring snapshot vgsnotty-snappain

Expected results:
There should have been another expansion after 22.7GB
Comment 2 Zdenek Kabelac 2013-06-05 11:16:17 EDT
Please attach 'lvs -a'  which is grabbed during the lifetime of snapshot.

There was a bug (fixed upstream) - where 100% full snapshot has been skipped from futher resize (although it's still valid snapshot - that would possibly explain what you can see).
Comment 3 Alasdair Kergon 2013-10-09 19:53:08 EDT
Closing.  We believe this has been fixed upstream (and therefore in RHEL6.5).

If that's not the case please just reopen this.

Note You need to log in before you can comment on or make changes to this bug.